---
name: Billy Downing
locality:
country: Remote
role: <a href="">Senior Public Sector Customer Success Manager</a>
reports_to: steventerhar
picture: billydowning.jpg
pronouns:
pronunciation:
twitter:
linkedin: billy-downing
gitlab: billydowning
departments:
- CSM
- Customer Success
- Customer Success Managers
specialty: ''
expertise:
story:
job_title: Senior Public Sector Customer Success Manager
division: Sales
public: true

